# Get an agent
Source: https://docs.simpleserve.ai/docs/api-reference/agents/get-agents-namespace-slug

Method: GET /v1/agents/{namespace}/{slug}
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/agents/{namespace}/{slug}",
  "method": "GET",
  "tags": [
    "Agents"
  ],
  "operationId": "getAgent",
  "summary": "Get an agent",
  "description": "Returns the current published version, supported outputs, data policy,\nand rate card for one agent.\n",
  "parameters": [
    {
      "$ref": "#/components/parameters/AgentNamespace"
    },
    {
      "$ref": "#/components/parameters/AgentSlug"
    }
  ],
  "responses": {
    "200": {
      "description": "The requested agent.",
      "headers": {
        "x-request-id": {
          "$ref": "#/components/headers/RequestId"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Agent"
          },
          "examples": {
            "default": {
              "$ref": "#/components/examples/AgentExample"
            }
          }
        }
      }
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```